Get Credit Transaction list
https://api.unibee.dev/merchant/credit/credit_transaction_list
Get Credit Transaction list
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
accountType | integer | Yes | filter type of account, 1-main account, 2-promo credit account |
count | integer | No | Count Of Per Page |
createTimeEnd | integer | No | CreateTimeEnd,UTC timestamp,seconds |
createTimeStart | integer | No | CreateTimeStart,UTC timestamp,seconds |
currency | string | No | filter currency of account |
email | string | No | filter email of user |
page | integer | No | Page, Start 0 |
sortField | string | No | Sort Field,gmt_create|gmt_modify,Default gmt_modify |
sortType | string | No | Sort Type,asc|desc,Default desc |
transactionTypes | array | No | transaction type。1-recharge income,2-payment out,3-refund income,4-withdraw out,5-withdraw failed income, 6-admin change,7-recharge refund out |
userId | integer | No | filter id of user |
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.creditTransactions | array | Credit Transaction List |
data.total | integer | Total |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Get Credit Transaction list
filter type of account, 1-main account, 2-promo credit account
Count Of Per Page
CreateTimeEnd,UTC timestamp,seconds
CreateTimeStart,UTC timestamp,seconds
filter currency of account
filter email of user
Page, Start 0
Sort Field,gmt_create|gmt_modify,Default gmt_modify
Sort Type,asc|desc,Default desc
transaction type。1-recharge income,2-payment out,3-refund income,4-withdraw out,5-withdraw failed income, 6-admin change,7-recharge refund out
filter id of user